### Method

# Adw ViewStackset_hhomogeneous

#### Declaration [src]

    void
    adw_view_stack_set_hhomogeneous (
      AdwViewStack* self,
      gboolean hhomogeneous
    )

#### Description [src]

Sets `self` to be horizontally homogeneous or not.

If the stack is horizontally homogeneous, it allocates the same width for all children.

If it’s `FALSE`, the stack may change width when a different child becomes visible.

Sets property | `Adw.ViewStack:hhomogeneous`

#### Parameters

`hhomogeneous`

  Type: `gboolean`

  Whether to make `self` horizontally homogeneous.